require 'rails/generators'

module InuitRails
  module Generators
    class InstallGenerator < Rails::Generators::Base
      def self.source_root
        @source_root ||= File.join(File.dirname(__FILE__), 'templates')
      end

      def copy_files
        copy_file "inuit_override.css.scss", "app/assets/stylesheets/inuit_override.css.scss"
      end

      def prepend_to_files
        if not File.exists?("app/assets/stylesheets/application.css.scss")
          create_file "app/assets/stylesheets/application.css.scss"
        end

        prepend_to_file "app/assets/stylesheets/application.css.scss", "@import \"inuit_override\";\n"
      end
    end
  end
end
